aboutsummaryrefslogtreecommitdiff
path: root/games/xmris/scripts
diff options
context:
space:
mode:
authorJordan K. Hubbard <jkh@FreeBSD.org>1994-09-21 12:42:56 +0000
committerJordan K. Hubbard <jkh@FreeBSD.org>1994-09-21 12:42:56 +0000
commitaadb1b67904a3664ec4684356abdddec9c9fb920 (patch)
tree391175e8175e08669defe474c28b526a41624142 /games/xmris/scripts
parent6c54fc0fa8f4c8e94f564ea154b1cda8628bd9b5 (diff)
downloadports-aadb1b67904a3664ec4684356abdddec9c9fb920.tar.gz
ports-aadb1b67904a3664ec4684356abdddec9c9fb920.zip
Notes
Diffstat (limited to 'games/xmris/scripts')
-rw-r--r--games/xmris/scripts/pre-configure20
1 files changed, 20 insertions, 0 deletions
diff --git a/games/xmris/scripts/pre-configure b/games/xmris/scripts/pre-configure
new file mode 100644
index 000000000000..6c01b92f1e8c
--- /dev/null
+++ b/games/xmris/scripts/pre-configure
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+# X must be running when the scram program creates the bitmaps
+xwd -root >/dev/null
+if [ $? != 0 ]; then
+ echo "X needs to be started to build xmris"
+ exit 1
+fi
+
+mv $3/Imakefile $3/Imakefile.orig
+
+echo "LOCAL=/usr/local" >$3/Imakefile || exit 1;
+
+# remove extra space after \ in continuation lines
+sed -e 's/\\ $/\\/' <$3/Imakefile.orig >>$3/Imakefile || exit 1
+
+echo "CDEBUGFLAGS=-O2" >>$3/Imakefile || exit 1
+echo "MANSUFFIX=6" >>$3/Imakefile || exit 1
+
+exit 0